com.unitech.stuhflBridge

## Class IRunnerListener.STUHFL_T_InventoryTag

- java.lang.Object
- - com.unitech.stuhflBridge.IRunnerListener.STUHFL_T_InventoryTag

- Enclosing interface:
    IRunnerListener

      public static class IRunnerListener.STUHFL_T_InventoryTag
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `agc` < O Param: Antenna at which Tag was detected.
    `short` | `antenna` < O Param: Tag detection time stamp.
    `byte[]` | `epc` < O Param: Tag XPC.
    `byte[]` | `pc` < O Param: Tag RSSI Q level.
    `byte` | `rssiLinI` < O Param: Q part of Tag RSSI log.
    `byte` | `rssiLinQ` < O Param: Tag RSSI I level.
    `short` | `rssiLogI` < O Param: Tag AGC.
    `short` | `rssiLogQ` < O Param: I part of Tag RSSI log.
    `byte[]` | `tid` < O Param: Tag EPC.
    `long` | `timestamp`
    `byte[]` | `xpc` < O Param: Tag PC.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_InventoryTag()`
    `STUHFL_T_InventoryTag(IRunnerListener.STUHFL_T_InventoryTag tag)`
    `STUHFL_T_InventoryTag(long timestamp, short antenna, short agc, short rssiLogI, short rssiLogQ, byte rssiLinI, byte rssiLinQ, byte[] pc, byte[] xpc, byte[] epc, byte[] tid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEpc()`
    `java.lang.String` | `toString()` < O Param: Tag TID.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### timestamp

          public long timestamp

    - #### antenna

          public short antenna

      < O Param: Tag detection time stamp.

    - #### agc

          public short agc

      < O Param: Antenna at which Tag was detected.

    - #### rssiLogI

          public short rssiLogI

      < O Param: Tag AGC.

    - #### rssiLogQ

          public short rssiLogQ

      < O Param: I part of Tag RSSI log.

    - #### rssiLinI

          public byte rssiLinI

      < O Param: Q part of Tag RSSI log.

    - #### rssiLinQ

          public byte rssiLinQ

      < O Param: Tag RSSI I level.

    - #### pc

          public byte[] pc

      < O Param: Tag RSSI Q level.

    - #### xpc

          public byte[] xpc

      < O Param: Tag PC.

    - #### epc

          public byte[] epc

      < O Param: Tag XPC.

    - #### tid

          public byte[] tid

      < O Param: Tag EPC.

  - ### Constructor Detail

    - #### STUHFL_T_InventoryTag

          public STUHFL_T_InventoryTag()

    - #### STUHFL_T_InventoryTag

          public STUHFL_T_InventoryTag(IRunnerListener.STUHFL_T_InventoryTag tag)

    - #### STUHFL_T_InventoryTag

          public STUHFL_T_InventoryTag(long timestamp,
                                       short antenna,
                                       short agc,
                                       short rssiLogI,
                                       short rssiLogQ,
                                       byte rssiLinI,
                                       byte rssiLinQ,
                                       byte[] pc,
                                       byte[] xpc,
                                       byte[] epc,
                                       byte[] tid)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      < O Param: Tag TID.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### getEpc

          public byte[] getEpc()